'use strict';

module.exports = {
    library: {
        base: {
            posts: 'output/{user.name}/{label}/',
            direct: 'output/{host.name}/{label}/',
        },
        posts: {
            image: '{base.posts}{post.date}{div}{tags.preview}{item.id}{div}{post.title}{ext}',
            video: '{base.posts}{post.date}{div}{tags.preview}{item.id}{div}{post.title}{ext}',
            text: '{base.posts}{post.date}{div}{tags.preview}{post.id}{div}{post.title}',
            album: {
                image: '{base.posts}{post.date}{div}{tags.preview}{album.id}{div}{post.title}/{item.index}{div}{item.id}{ext}',
                video: '{base.posts}{post.date}{div}{tags.preview}{album.id}{div}{post.title}/{item.index}{div}{item.id}{ext}',
            },
        },
        direct: {
            image: '{base.direct}{item.date}{div}{tags.preview}{item.id}{divs.item.title}{item.title}{ext}',
            video: '{base.direct}{item.date}{div}{tags.preview}{item.id}{divs.item.title}{item.title}{ext}',
            text: '{base.direct}{item.date}{div}{tags.preview}{item.id}{divs.item.title}{item.title}',
            album: {
                image: '{base.direct}{album.date}{div}{tags.preview}{album.id}{divs.album.title}{album.title}/{item.index}{div}{item.id}{ext}',
                video: '{base.direct}{album.date}{div}{tags.preview}{album.id}{divs.album.title}{album.title}/{item.index}{div}{item.id}{ext}',
            },
        },
        extractSingleAlbumItem: true,
        profile: {
            image: '{base.posts}{user.created}{div}profile{ext}',
            description: '{base.posts}{user.created}{div}profile ({tags.verified}{tags.verifiedEmail}{tags.gold}{tags.over18})',
            avoidAvatar: true,
        },
        index: {
            file: '{base.posts}index',
        },
        meta: {
            comment: '{item.description}',
        },
        tags: {
            extracted: 'extracted-',
            preview: 'preview-',
            verified: '✔',
            verifiedEmail: '✉',
            gold: '★',
            over18: '♥',
        },
        dateFormat: 'YYYYMMDD',
        truncate: {
            limit: 250,
            truncator: '...',
        },
        indexOffset: 1,
        divider: ' - ',
        slashSubstitute: '#',
    },
    fetch: {
        sort: 'new',
        limit: 1000,
        avoidDuplicates: true,
        retries: 3,
        concurrency: 10,
        watch: {
            schedule: '*/30 * * * *',
        },
        archives: {
            search: false,
            preview: true,
            reddit: ['ip'],
            reupload: [],
        },
    },
    logger: {
        level: 'info',
    },
    limiter: {
        concurrency: 10,
        interval: 100,
    },
    reddit: {
        api: {
            userAgent: 'ripunzel',
            clientId: '1234567abcdefg',
            access_token: 'abcD123eFg45Hi6J7klmnop8qr9',
            token_type: 'bearer',
            expires_in: 3600,
            refresh_token: '1234567-A-Bc-defg8912hij-klm345opqr',
            scope: 'history identity mysubreddits read subscribe',
        },
    },
    methods: {
        imgur: {
            clientId: null,
        },
    },
};
